% Contents 

% There are 3 main directories as follows.
%
% 1) Shearlet_Transform_with_Separable_Generator
%    This contains the implementations of the shearlet transform associated
%    with compactly supported shearlets generated by separable wavelets. 
%    Reference : 'The Discrete Shearlet Transform: A New Directional Transform 
%                 and Compactly Supported Shearlet Frames', 
%                 IEEE Trans. Image Process, 2010, W.-Q Lim
%
%    NOTE)  See deno_Lena_shearlets.m and deno_Barbara_shearlets for demos.
%           See sep_shear_contents.m for more details. 
%
%
%    1.1) Codes : all main routines (for shearlet transform and others) are included in this folder.
%    1.2) Demo : There are three routines for demos (image approximations &
%    denoising and displaying shearlet coeff).
%    1.3) Script_for_Testing : various scpript files for image denoising and approximations are
%    included.
%
%
% 2) Fourier_based_shearlet_transform
%    This contains the impementations of the shearlet transform associated
%    with shearlets constructed in the Fourier domain to provide good
%    frequency localization and directional selectivity.
%    Some demos are included for image denoising.   
%    Reference : 'Sparse Directional Image Representatios using the Discrete Shearlet Transform', 
%                 ACHA, 2008, G. Easley, D. Labate and W.-Q Lim
%
%    NOTE ) See instruction.m for more details. 
%
% 3) Separation_Package : image separation toolbox routines .
%                         (see separation_demo01.m for demo) 
%                         (see separation_contents.m for details)
%
%    Reference : 'Image Separation Using Shearlets', preprint, G. Kutyniok and W.-Q Lim
%
%
%    3.1) UDWT : UDWT RWT package (DSP Rice). 
%                Mex files have been compiled for Linux/Unix Solaris/MACOSX and Windows
%                platforms.
%    3.2) Wavelets : Some wavelet routines from WaveLab850
%                    (http://www-stat.stanford.edu/~wavelab/)
%
% 4) MEX : C source codes  
%
%  Copyright (c) 2010. Wang-Q Lim, University of Osnabrueck
%
%  Part of ShearLab Version 1.1
%  Built Mon, 11/29/2010
%  This is Copyrighted Material
%  For Copying permissions see COPYRIGHT.m